- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes | Static Public Attributes | List of all members
AL::Math::glTF::Accessor< T, DTYPE > Struct Template Reference

`#include <gltf.h>`

## Public Attributes
size_t | bufferView
ComponentType | componentType
size_t | count
std::array< T, data_type_traits< DTYPE > ::number_of_components > | min
std::array< T, data_type_traits< DTYPE > ::number_of_components > | max
boost::optional< size_t > | byteOffset

## Static Public Attributes
static const DataType | type = DTYPE

## Detailed Description

### template<typename T, DataType DTYPE>
struct AL::Math::glTF::Accessor< T, DTYPE >

Definition at line 360 of file gltf.h.

## Member Data Documentation

template<typename T, DataType DTYPE>

size_t AL::Math::glTF::Accessor< T, DTYPE >::bufferView

Definition at line 361 of file gltf.h.

template<typename T, DataType DTYPE>

boost::optional<size_t> AL::Math::glTF::Accessor< T, DTYPE >::byteOffset

Definition at line 366 of file gltf.h.

template<typename T, DataType DTYPE>

ComponentType AL::Math::glTF::Accessor< T, DTYPE >::componentType

Definition at line 362 of file gltf.h.

template<typename T, DataType DTYPE>

size_t AL::Math::glTF::Accessor< T, DTYPE >::count

Definition at line 363 of file gltf.h.

template<typename T, DataType DTYPE>

std::array<T, data_type_traits<DTYPE>::number_of_components> AL::Math::glTF::Accessor< T, DTYPE >::max

Definition at line 365 of file gltf.h.

template<typename T, DataType DTYPE>

std::array<T, data_type_traits<DTYPE>::number_of_components> AL::Math::glTF::Accessor< T, DTYPE >::min

Definition at line 365 of file gltf.h.

template<typename T, DataType DTYPE>

const DataType AL::Math::glTF::Accessor< T, DTYPE >::type = DTYPE
| static

Definition at line 364 of file gltf.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/gltf.h